Bug Hunting Session
Bug 118710 - Report Builder Character Settings dialog Highlighting tab page doesn't set background
Summary: Report Builder Character Settings dialog Highlighting tab page doesn't set ba...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: low normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.4.0 target:6.3.2 target:6.2.8
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Base-UX
  Show dependency treegraph
 
Reported: 2018-07-11 22:54 UTC by Jim Raykowski
Modified: 2019-09-09 23:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-07-11 22:54:35 UTC
Found this when working on new Background/Highlighting tab page [1].

Here are the steps to reproduce: 

1) open or create a database in Base 
2) select Reports
3) select Create Report in Design View

Report Builder opens

4) click on Label icon in the Report Controls toolbar  
5) place a label in Page Header, Detail, or Page Footer
6) click on menu Format > Character...

Character Settings dialog opens

7) select Highlighting tab and select a color
8) click OK

Results: Background does not change to selected color

Expected Results: Background should change to selected color

Diagnosed cause: SID_ATTR_BRUSH should be SID_ATTR_BRUSH_CHAR [2]. 

[1] bug105225
[2] https://opengrok.libreoffice.org/xref/core/reportdesign/source/ui/misc/UITools.cxx#629
Comment 1 Xisco Faulí 2018-07-12 14:38:23 UTC
I can reproduce it back to

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

where the tab is called 'Highlight'. However in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

it's called 'Background' and it can't be reproducible.

it needs to be bisected with repo 5.1...
Comment 2 Buovjaga 2018-07-12 19:27:56 UTC
Bibisected on win 5.1 to https://cgit.freedesktop.org/libreoffice/core/commit/?id=62fb96e075e79676b45912a3a8ec2702b1e3aaf2
Handle highlighting case inside SvxBackgroundPage class
... instead of converting attributes.

Adding Cc: to Tamás Zolnai
Comment 3 Commit Notification 2019-08-31 12:41:37 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6cc5baa0a15014c442932c60bb60dc2a84edc25f%5E%21

tdf#118710 - Report Builder Character Settings dialog Highlighting tab page

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-09-02 11:05:44 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/583425d04937c4a2842185497742608c5e7b76df%5E%21

tdf#118710 - Report Builder Character Settings dialog Highlighting tab page

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-09-04 12:17:06 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: e8b3df5b9b0eb0a93c25b6dc2e445ae44a7e3f78
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Tamás Zolnai, thanks for fixing this issue!
Comment 6 Commit Notification 2019-09-09 23:19:59 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/8f765a37912d7930c1e3aeb93db13acd57bb94b1%5E%21

tdf#118710 - Report Builder Character Settings dialog Highlighting tab page

It will be available in 6.2.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.